@charset "utf-8";

:root{
    --white: #ffffff;
    --black: #333333;
    --orange: #f46e45;
    --orangeOff: #ea8a59;
    --navy: #2a315b;
    --gray: #717070;
    --gray-b3: #b3b3b3;
    --warm-gray: #e1d8d1;
    --cream: #fdf5e8;
    --info-title: #f9ebd7;

    --Caslon: 'Libre Caslon Text', serif;
    --ZenKakuGothicNew: "Zen Kaku Gothic New","Yu Gothic","Meiryo","Hiragino Kaku Gothic ProN","Hiragino Sans",sans-serif;
    --NotoSansJP: "Noto Sans JP","Yu Gothic","Meiryo","Hiragino Kaku Gothic ProN","Hiragino Sans",sans-serif;
}

#contact-page{
    width: 100%;
    background: var(--cream);
    padding: 12rem 0 0;
    
    position: relative;
    overflow: hidden;

    .contact-inner{
        width: min(1280px, 80%);
        margin: 0 auto;
        padding: 0 0 12rem;

        hgroup{
            width: fit-content;
            margin: 0 auto 3rem;
            text-align: center;
            line-height: 2;

            h2{
                width: 243.27px;
                aspect-ratio: 730/169;
                margin: 0 auto 1rem;

                img{
                    display: block;
                }
            }

            h3{
                font-size: 1rem;
                font-weight: normal;
                
            }

            .wave-line-gray{
                width: 11rem;
                margin: 0 auto;
            }
        }

        .contact-intro{
            width: min(760px, 100%);
            margin: 0 auto 4rem;
            text-align: center;
            line-height: 2.8;

            p{
                font-size: 1rem;
                line-height: 3;
                
            }

            .contact-tel{
                font-size: 1.17rem;
                margin: 3rem auto 3rem;
                line-height: 1.6;
                .sp-br{display: none;}
                
                a{
                    font-size: 1.17rem;
                    color: var(--orange);
                    text-decoration: none;
                    line-height: 1.6;
                    margin-left: 0.5rem;
                }
            }
        }

        .small-box{
            width: min(980px, 100%);
            margin: 0 auto;
            small{
                display: block;
                width: fit-content;
                white-space: nowrap;
                margin: 0 0 0.75rem auto;
                font-size: 1rem;
                line-height: 1.8;
                color: var(--gray);
                span{
                    color: var(--orange);
                }
            }
        }

        .contact-form-area{
            width: min(980px, 100%);
            margin: 0 auto;

            .wpcf7{
                width: 100%;

                form{
                    width: 100%;
                    margin: 0;

                    br{
                        display: none;
                    }

                    .wpcf7-not-valid-tip{
                        margin-top: 0.5rem;
                        font-size: 0.875rem;
                        line-height: 1.6;
                        color: var(--orange);
                    }

                    .wpcf7-response-output{
                        margin: 2rem 0 0;
                        padding: 1rem 1.25rem;
                        font-size: 0.875rem;
                        line-height: 1.8;
                        border: 1px solid var(--gray);
                        background: var(--white);
                    }
                }

                .wpcf7-spinner{
                    display: none;
                }
            }
        }

        .contact-form-wrap{
            width: 100%;
            border-top: 1px solid var(--gray);

            .contact-row{
                width: 100%;
                display: grid;
                grid-template-columns: 30.612% 69.388%;
                border-left: 1px solid var(--gray);
                border-right: 1px solid var(--gray);
                border-bottom: 1px solid var(--gray);

                .contact-row-type{
                    .contact-td{
                        padding: 1.9rem 2rem;
                    }
                }

                .contact-row-message{
                    .contact-th{
                        align-items: center;
                    }

                    .contact-td{
                        padding: 2rem 2rem;
                    }
                }

                .contact-th{
                    font-size: 1.17rem;
                    background: var(--info-title);
                    padding: 0 0 0 2rem;
                    display: flex;
                    align-items: center;
                    gap: 0.2rem;
                    line-height: 4;

                    span{
                        font-size: 1rem;
                        line-height: 1.8;
                        
                    }

                    em{
                        font-style: normal;
                        color: var(--orange);
                    }
                }

                .contact-td{
                    background: var(--white);
                    padding: 3rem 2rem;
                    display: flex;
                    flex-direction: column;
                    gap: 2rem;

                    .wpcf7-form-control-wrap{
                        display: block;
                        width: 100%;
                    }

                    input[type="text"],
                    input[type="email"],
                    input[type="tel"],
                    textarea{
                        width: 100%;
                        border: 1px solid var(--gray);
                        border-radius: 0.5rem;
                        background: var(--white);
                        
                        font-family: var(--NotoSansJP);
                        font-size: 1rem;
                        line-height: 1.8;
                        padding: 1.2rem 1.4rem;
                        outline: none;

                        ::placeholder{
                            color: var(--gray-b3);
                        }

                        :focus{
                            border-color: var(--orange);
                        }
                    }

                    input[type="text"],
                    input[type="email"],
                    input[type="tel"]{
                        height: 4.5rem;
                    }

                    textarea{
                        min-height: 21rem;
                        resize: vertical;
                    }

                    .wpcf7-radio{
                        display: flex;
                        flex-wrap: wrap;
                        gap: 1rem 1.5rem;

                        .wpcf7-list-item{
                            margin: 0;

                            label{
                                display: flex;
                                align-items: center;
                                gap: 0.45rem;
                                cursor: pointer;
                                font-weight: 600;
                            }

                            input[type="radio"]{
                                margin: 0;
                                accent-color: var(--gray);
                            }

                            .wpcf7-list-item-label{
                                font-size: 1rem;
                                
                            }
                        }
                    }

                    .address-grid{
                        display: grid;
                        grid-template-columns: 1fr 1fr;
                        gap: 1rem;

                        .address-unit{
                            p{
                                label{
                                    display: block;
                                    font-size: 1rem;
                                }
                            }
                        }
                    }

                    .address-unit-postal{
                        max-width: 15rem;
                    }
                }
            }
        }

        .contact-submit{
            padding: 6rem 0 0;
            text-align: center;

            input[type="submit"]{
                min-width: 16rem;
                height: 4.8rem;
                border: 1px solid var(--gray);
                background: transparent;
                color: var(--gray);
                font-family: var(--NotoSansJP);
                font-size: 1rem;
                letter-spacing: 0.05rem;
                cursor: pointer;
                transition: opacity 0.3s;
            }
            .wpcf7-form-control:hover{
                opacity: 0.5;
            }
        }
    }
}

@media screen and (max-width:1060px){
    #contact-page{
        .contact-inner{
            .contact-form-wrap{
                .contact-row{
                    display: flex;
                    flex-direction: column;

                    .contact-th{
                        justify-content: center;
                        line-height: 4;
                        padding: 0;
                    }
                }
            }
        }
    }
}
@media screen and (max-width:820px){
    #contact-page{
        padding-top: 10rem;

        .contact-inner{
            width: 90%;
            padding-bottom: 8rem;

            hgroup{
                width: 100%;
                margin: 0 auto 1rem;
                h2{
                    width: 113.52px;
                }
                .wave-line-gray{
                    width: min(290.01px, 80%);
                    margin: 0 auto 1rem;
                }
            }

            .contact-row{
                grid-template-columns: 1fr;
            }

            .contact-th{
                padding: 1rem 1.25rem;
                justify-content: center;
                text-align: center;
            }

            .contact-td{
                padding: 1.25rem;
            }

            textarea{
                min-height: 12rem;
            }

            .contact-form-wrap{
                .contact-row{
                    .contact-td{
                        .wpcf7-radio{
                            display: flex;
                            flex-direction: column;
                            .wpcf7-list-item{
                                width: 210px;
                                margin: 0 auto;
                            }
                        }
                        .address-grid{
                            display: flex;
                            flex-direction: column;
                            gap: 0;
                        }
                    }
                }
            }
        }
    }
}

@media screen and (max-width:540px){
    #contact-page{
        padding-top: 8rem 0 8rem;

        .contact-inner{
            width: min(92%, 22.5rem);
            padding-bottom: 6rem;

            .contact-intro{
                width: 90%;
                margin: 0 auto;

                .contact-tel{
                    .sp-br{
                        display: block;
                        line-height: 0;
                    }

                    a{
                        margin-left: 0;
                    }
                }
            }

            .contact-th{
                padding: 0.85rem 1rem;
            }

            .contact-td{
                padding: 1rem;
            }

            input[type="text"],
            input[type="email"],
            input[type="tel"]{
                height: 3.8rem;
            }

            textarea{
                min-height: 10rem;
            }
        }
    }
}